Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IOP::EmptyProfileList Class Reference

`#include <IORC.h>`

Inheritance diagram for TAO_IOP::EmptyProfileList:

[legend]
Collaboration diagram for TAO_IOP::EmptyProfileList:

[legend]
List of all members.

## Public Methods
| EmptyProfileList (void)
| EmptyProfileList (const EmptyProfileList &)
| ~EmptyProfileList (void)
EmptyProfileList & | operator= (const EmptyProfileList &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
EmptyProfileList * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

TAO_IOP::EmptyProfileList::EmptyProfileList | ( | void |  | ) |

TAO_IOP::EmptyProfileList::EmptyProfileList | ( | const EmptyProfileList & |  | ) |

TAO_IOP::EmptyProfileList::~EmptyProfileList | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * TAO_IOP::EmptyProfileList::_alloc | ( | void |  | ) | `[static]`

TAO_IOP::EmptyProfileList * TAO_IOP::EmptyProfileList::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void TAO_IOP::EmptyProfileList::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void TAO_IOP::EmptyProfileList::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

virtual void TAO_IOP::EmptyProfileList::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * TAO_IOP::EmptyProfileList::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

virtual void TAO_IOP::EmptyProfileList::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr TAO_IOP::EmptyProfileList::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

EmptyProfileList& TAO_IOP::EmptyProfileList::operator= | ( | const EmptyProfileList & |  | ) |

The documentation for this class was generated from the following files:

- IORC.h
- IORC.cpp